Subject: Floating Point Usage
From: [email-masked] (Dan Paslawski)

1 May 1998 19:03:27 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "[email-masked]'" <[email-masked]>
Cc: "'Us'" <[email-masked]>

I am porting an application from Linux to Windows NT which makes intensive
usage of floating point operations.  I am finding slight differences in calculations
between Linux (GNU Version ??) and Windows NT (using Cygwin32 B19.0), on the
same machine.  To
be specific, floating point operations such as multiplication and division are 
occasionally producing differences (Linux vs WinNt) on the order of one or two bits.
I would have thought the two OS's should produce identical results.

My questions are, (a) does the Cygwin library make use of the Floating Point Processing capabilities? and (b) can anyone explain the differences?

By the way, "uname -a" returns "CYGWIN32_NT hostname 4.0 19.0 i686 unknown"

Regards

Dan Paslawski
Aberdeen Systems
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".